Commit 91dc6d2e authored by Leo's avatar Leo Committed by Francesco Colista

main/gtk-doc: upgrade to 1.30

parent 4c5c56a6
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gtk-doc
pkgver=1.29
pkgver=1.30
pkgrel=0
pkgdesc="Documentation tool for public library API"
url="https://www.gtk.org/gtk-doc/"
arch="noarch"
license="GFDL"
depends="docbook-xsl python3 py3-six pkgconf glib-dev highlight"
license="GPL-2.0-or-later AND GFDL-1.1-or-later"
depends="docbook-xsl python3 py3-six pkgconf glib-dev py3-pygments"
makedepends="rarian-dev py-libxml2 gettext autoconf automake libtool"
checkdepends="bc"
source="https://download.gnome.org/sources/$pkgname/$pkgver/$pkgname-$pkgver.tar.xz"
......@@ -14,7 +14,6 @@ source="https://download.gnome.org/sources/$pkgname/$pkgver/$pkgname-$pkgver.tar
# it does not seem to be possible to disable tests of pdf which requires dblatex or fop
# disable checks for now
options="!check"
builddir="$srcdir/$pkgname-$pkgver"
prepare() {
cd "$builddir"
......@@ -41,4 +40,4 @@ package() {
make DESTDIR="$pkgdir" install
}
sha512sums="97e17be2563c2c12a04394633feaf6591918968a794c38e945a65be9c2de2bed5ce586592a7fe396a1874b8e43e63d6380c6d1a3193ccb7f9bb3d3a331526421 gtk-doc-1.29.tar.xz"
sha512sums="8fde6aa89cdf0ce59999a17d7f1ecb51e63f93aa7514aeffac6504a357408151f8fb86431050285596e9da2a9612840969a42d7423e8df316e9dadddd5fc1612 gtk-doc-1.30.tar.xz"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment